Skip to main content
GET
/
portfolio
/
deposits
Get Deposits
curl --request GET \
  --url https://external-api.kalshi.com/trade-api/v2/portfolio/deposits \
  --header 'KALSHI-ACCESS-KEY: <api-key>' \
  --header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
  --header 'KALSHI-ACCESS-TIMESTAMP: <api-key>'
{
  "deposits": [
    {
      "id": "<string>",
      "status": "pending",
      "type": "ach",
      "amount_cents": 123,
      "fee_cents": 123,
      "created_ts": 123,
      "finalized_ts": 123
    }
  ],
  "cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kalshi.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

KALSHI-ACCESS-KEY
string
header
required

Your API key ID

KALSHI-ACCESS-SIGNATURE
string
header
required

RSA-PSS signature of the request

KALSHI-ACCESS-TIMESTAMP
string
header
required

Request timestamp in milliseconds

Query Parameters

limit
integer<int64>
default:100

Number of results per page. Defaults to 100. Maximum value is 500.

Required range: 1 <= x <= 500
cursor
string

Pagination cursor. Use the cursor value returned from the previous response to get the next page of results. Leave empty for the first page.

Response

Deposits retrieved successfully

deposits
object[]
required
cursor
string